{
    "$graph": [
        {
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": "${ var LIST = [inputs.in_check_log, inputs.in_dir]; return LIST; }"
                }
            ],
            "baseCommand": [
                "cp"
            ],
            "arguments": [
                {
                    "position": 1,
                    "valueFrom": "$(inputs.in_check_log.basename)"
                },
                {
                    "position": 2,
                    "valueFrom": "$(inputs.in_dir.basename)/working_files/$(inputs.in_tree[0])/$(inputs.in_tree[1])/"
                }
            ],
            "inputs": [
                {
                    "type": "File",
                    "id": "#check_log.cwl/in_check_log"
                },
                {
                    "type": "Directory",
                    "id": "#check_log.cwl/in_dir"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#check_log.cwl/in_tree"
                }
            ],
            "id": "#check_log.cwl",
            "outputs": [
                {
                    "type": "Directory",
                    "outputBinding": {
                        "glob": "$(inputs.in_dir.basename)"
                    },
                    "id": "#check_log.cwl/out_dir"
                }
            ]
        },
        {
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": "${ var LIST = [inputs.in_fasta, inputs.in_dir]; return LIST; }"
                }
            ],
            "baseCommand": [
                "cp"
            ],
            "arguments": [
                {
                    "position": 1,
                    "valueFrom": "$(inputs.in_fasta.basename)"
                },
                {
                    "position": 2,
                    "valueFrom": "$(inputs.in_dir.basename)/other_species/$(inputs.in_tree[0])/$(inputs.in_tree[1])/scaffold/"
                }
            ],
            "inputs": [
                {
                    "type": "Directory",
                    "id": "#genomic_fasta.cwl/in_dir"
                },
                {
                    "type": "File",
                    "id": "#genomic_fasta.cwl/in_fasta"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#genomic_fasta.cwl/in_tree"
                }
            ],
            "outputs": [
                {
                    "type": "Directory",
                    "outputBinding": {
                        "glob": "$(inputs.in_dir.basename)"
                    },
                    "id": "#genomic_fasta.cwl/out_dir"
                }
            ],
            "id": "#genomic_fasta.cwl"
        },
        {
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": "${ var LIST = [inputs.in_gff, inputs.in_dir]; return LIST; }"
                }
            ],
            "baseCommand": [
                "cp"
            ],
            "arguments": [
                {
                    "position": 1,
                    "valueFrom": "$(inputs.in_gff.basename)"
                },
                {
                    "position": 2,
                    "valueFrom": "$(inputs.in_dir.basename)/other_species/$(inputs.in_tree[0])/$(inputs.in_tree[1])/scaffold/analyses/$(inputs.in_tree[3])"
                }
            ],
            "inputs": [
                {
                    "type": "Directory",
                    "id": "#genomic_gff.cwl/in_dir"
                },
                {
                    "type": "File",
                    "id": "#genomic_gff.cwl/in_gff"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#genomic_gff.cwl/in_tree"
                }
            ],
            "outputs": [
                {
                    "type": "Directory",
                    "outputBinding": {
                        "glob": "$(inputs.in_dir.basename)"
                    },
                    "id": "#genomic_gff.cwl/out_dir"
                }
            ],
            "id": "#genomic_gff.cwl"
        },
        {
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": "${ var LIST = inputs.in_others; LIST.push(inputs.in_dir); return LIST; }"
                }
            ],
            "baseCommand": [
                "cp"
            ],
            "arguments": [
                {
                    "position": 1,
                    "valueFrom": "$(inputs.in_others)"
                },
                {
                    "position": 2,
                    "valueFrom": "$(inputs.in_dir.basename)/other_species/$(inputs.in_tree[0])/$(inputs.in_tree[1])/scaffold"
                }
            ],
            "inputs": [
                {
                    "type": "Directory",
                    "id": "#others.cwl/in_dir"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "id": "#others.cwl/in_others"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#others.cwl/in_tree"
                }
            ],
            "outputs": [
                {
                    "type": "Directory",
                    "outputBinding": {
                        "glob": "$(inputs.in_dir.basename)/"
                    },
                    "id": "#others.cwl/out_dir"
                }
            ],
            "id": "#others.cwl"
        },
        {
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": "${ var LIST = [inputs.in_txt, inputs.in_dir]; return LIST; }"
                }
            ],
            "baseCommand": [
                "cp"
            ],
            "arguments": [
                {
                    "position": 1,
                    "valueFrom": "$(inputs.in_txt.basename)"
                },
                {
                    "position": 2,
                    "valueFrom": "$(inputs.in_dir.basename)/working_files/$(inputs.in_tree[0])/$(inputs.in_tree[1])/"
                }
            ],
            "inputs": [
                {
                    "type": "Directory",
                    "id": "#txt.cwl/in_dir"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#txt.cwl/in_tree"
                },
                {
                    "type": "File",
                    "id": "#txt.cwl/in_txt"
                }
            ],
            "outputs": [
                {
                    "type": "Directory",
                    "outputBinding": {
                        "glob": "$(inputs.in_dir.basename)"
                    },
                    "id": "#txt.cwl/out_dir"
                }
            ],
            "id": "#txt.cwl"
        },
        {
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": "${ var LIST = [inputs.in_txt2, inputs.in_dir]; return LIST; }"
                }
            ],
            "baseCommand": [
                "cp"
            ],
            "arguments": [
                {
                    "position": 1,
                    "valueFrom": "$(inputs.in_txt2.basename)"
                },
                {
                    "position": 2,
                    "valueFrom": "$(inputs.in_dir.basename)/working_files/$(inputs.in_tree[0])/$(inputs.in_tree[1])/"
                }
            ],
            "inputs": [
                {
                    "type": "Directory",
                    "id": "#txt2.cwl/in_dir"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#txt2.cwl/in_tree"
                },
                {
                    "type": "File",
                    "id": "#txt2.cwl/in_txt2"
                }
            ],
            "outputs": [
                {
                    "type": "Directory",
                    "outputBinding": {
                        "glob": "$(inputs.in_dir.basename)"
                    },
                    "id": "#txt2.cwl/out_dir"
                }
            ],
            "id": "#txt2.cwl"
        },
        {
            "class": "Workflow",
            "requirements": [
                {
                    "class": "SubworkflowFeatureRequirement"
                },
                {
                    "class": "MultipleInputFeatureRequirement"
                },
                {
                    "class": "InlineJavascriptRequirement"
                }
            ],
            "inputs": [
                {
                    "type": "File",
                    "id": "#main/in_check_log"
                },
                {
                    "type": "Directory",
                    "id": "#main/in_dir"
                },
                {
                    "type": "File",
                    "id": "#main/in_fasta"
                },
                {
                    "type": "File",
                    "id": "#main/in_gff"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "id": "#main/in_others"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#main/in_tree"
                },
                {
                    "type": "File",
                    "id": "#main/in_txt"
                },
                {
                    "type": "File",
                    "id": "#main/in_txt2"
                }
            ],
            "steps": [
                {
                    "run": "#check_log.cwl",
                    "in": [
                        {
                            "source": "#main/in_check_log",
                            "id": "#main/check_log/in_check_log"
                        },
                        {
                            "source": "#main/in_dir",
                            "id": "#main/check_log/in_dir"
                        },
                        {
                            "source": "#main/in_tree",
                            "id": "#main/check_log/in_tree"
                        }
                    ],
                    "out": [
                        "#main/check_log/out_dir"
                    ],
                    "id": "#main/check_log"
                },
                {
                    "run": "#genomic_fasta.cwl",
                    "in": [
                        {
                            "source": "#main/in_dir",
                            "id": "#main/genomic_fasta/in_dir"
                        },
                        {
                            "source": "#main/in_fasta",
                            "id": "#main/genomic_fasta/in_fasta"
                        },
                        {
                            "source": "#main/in_tree",
                            "id": "#main/genomic_fasta/in_tree"
                        }
                    ],
                    "out": [
                        "#main/genomic_fasta/out_dir"
                    ],
                    "id": "#main/genomic_fasta"
                },
                {
                    "run": "#genomic_gff.cwl",
                    "in": [
                        {
                            "source": "#main/in_dir",
                            "id": "#main/genomic_gff/in_dir"
                        },
                        {
                            "source": "#main/in_gff",
                            "id": "#main/genomic_gff/in_gff"
                        },
                        {
                            "source": "#main/in_tree",
                            "id": "#main/genomic_gff/in_tree"
                        }
                    ],
                    "out": [
                        "#main/genomic_gff/out_dir"
                    ],
                    "id": "#main/genomic_gff"
                },
                {
                    "run": "#others.cwl",
                    "in": [
                        {
                            "source": "#main/in_dir",
                            "id": "#main/others/in_dir"
                        },
                        {
                            "source": "#main/in_others",
                            "id": "#main/others/in_others"
                        },
                        {
                            "source": "#main/in_tree",
                            "id": "#main/others/in_tree"
                        }
                    ],
                    "out": [
                        "#main/others/out_dir"
                    ],
                    "id": "#main/others"
                },
                {
                    "run": "#txt.cwl",
                    "in": [
                        {
                            "source": "#main/in_dir",
                            "id": "#main/txt/in_dir"
                        },
                        {
                            "source": "#main/in_tree",
                            "id": "#main/txt/in_tree"
                        },
                        {
                            "source": "#main/in_txt",
                            "id": "#main/txt/in_txt"
                        }
                    ],
                    "out": [
                        "#main/txt/out_dir"
                    ],
                    "id": "#main/txt"
                },
                {
                    "run": "#txt2.cwl",
                    "in": [
                        {
                            "source": "#main/in_dir",
                            "id": "#main/txt2/in_dir"
                        },
                        {
                            "source": "#main/in_tree",
                            "id": "#main/txt2/in_tree"
                        },
                        {
                            "source": "#main/in_txt2",
                            "id": "#main/txt2/in_txt2"
                        }
                    ],
                    "out": [
                        "#main/txt2/out_dir"
                    ],
                    "id": "#main/txt2"
                }
            ],
            "outputs": [
                {
                    "type": "Directory",
                    "outputSource": "#main/others/out_dir",
                    "id": "#main/OUT_dir"
                }
            ],
            "id": "#main"
        }
    ],
    "cwlVersion": "v1.0"
}
